Subject: Re: [RFC v3 net-next 08/18] net: SO_TXTIME: Add clockid and drop_if_late params

From: Richard Cochran <[email-masked]>
Date: Thu, 8 Mar 2018 08:44:18 -0800

On Wed, Mar 07, 2018 at 09:47:40AM -0800, Eric Dumazet wrote:
> I would love if skb->tstamp could be either 0 or expressed in
> ktime_get() base all the time.
> 
> ( Even if we would have to convert this to other bases when/if needed)

We really do need variable clock IDs.  Otherwise the HW offloading
case won't work.  The desired transmit time must be expressed in terms
of the clock inside the MAC.  This clock is not necessarily related to
the system time at all.

But in addition to the performance concerns, I think putting this into
a socket option is the more natural solution.

Thanks,
Richard